/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.cg.valueobject;

/**
 * 例外を表現するためのバリューオブジェクト。
 *
 * おもにメソッドのthrowsを表現するために利用されます。
 */
public class BlancoCgException {
    /**
     * この例外の型です。java.io.IOExceptionなどは、このVOの中に指定します。
     *
     * フィールド: [type]。
     */
    private BlancoCgType fType;

    /**
     * この例外の説明です。「入出力例外が発生した場合。」などと記載します。
     *
     * フィールド: [description]。
     */
    private String fDescription;

    /**
     * フィールド [type] の値を設定します。
     *
     * フィールドの説明: [この例外の型です。java.io.IOExceptionなどは、このVOの中に指定します。]。
     *
     * @param argType フィールド[type]に設定する値。
     */
    public void setType(final BlancoCgType argType) {
        fType = argType;
    }

    /**
     * フィールド [type] の値を取得します。
     *
     * フィールドの説明: [この例外の型です。java.io.IOExceptionなどは、このVOの中に指定します。]。
     *
     * @return フィールド[type]から取得した値。
     */
    public BlancoCgType getType() {
        return fType;
    }

    /**
     * フィールド [description] の値を設定します。
     *
     * フィールドの説明: [この例外の説明です。「入出力例外が発生した場合。」などと記載します。]。
     *
     * @param argDescription フィールド[description]に設定する値。
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド [description] の値を取得します。
     *
     * フィールドの説明: [この例外の説明です。「入出力例外が発生した場合。」などと記載します。]。
     *
     * @return フィールド[description]から取得した値。
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * 使用上の注意
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgException[");
        buf.append("type=" + fType);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
